<packet name="CreateFromRecipe">
	<version number="1">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<str16 name="primary_title">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u8 name="primary_total_quantity">
		</array>
		<u32 name="primary_default_selected_id">
		<u32 name="primary_unknown5">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u8 name="build_qty_needed">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u8 name="build_total_quantity">
			</array>
			<u8 name="num_build_items_selected">
			<array name="build_items_selected_array" count="var:num_build_items_selected">
				<u32 name="build_selected_item_id">
				<u8 name="build_selected_item_qty">
			</array>
		</array>
		<str16 name="fuel_title">
		<u8 name="fuel_qty_needed">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u8 name="fuel_total_quantity">
		</array>
		<u8 name="num_fuel_items_selected">
		<array name="fuel_items_selected_array" count="var:num_fuel_items_selected">
			<u32 name="fuel_selected_item_id">
			<u8 name="fuel_selected_item_qty">
		</array>
	</version>
	<version number="546">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<str16 name="primary_title">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u8 name="primary_total_quantity">
		</array>
		<u32 name="primary_default_selected_id">
		<u32 name="primary_unknown5">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u8 name="build_qty_needed">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u8 name="build_total_quantity">
			</array>
			<u8 name="num_build_items_selected">
			<array name="build_items_selected_array" count="var:num_build_items_selected">
				<u32 name="build_selected_item_id">
				<u8 name="build_selected_item_qty">
			</array>
		</array>
		<str16 name="fuel_title">
		<u8 name="fuel_qty_needed">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u8 name="fuel_total_quantity">
		</array>
		<u8 name="num_fuel_items_selected">
		<array name="fuel_items_selected_array" count="var:num_fuel_items_selected">
			<u32 name="fuel_selected_item_id">
			<u8 name="fuel_selected_item_qty">
		</array>
	</version>
	<version number="1096">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<str16 name="primary_title">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u16 name="primary_total_quantity">
			<u8 name="primary_supply_depot">
			<u8 name="primary_unknown3">
		</array>
		<u32 name="primary_default_selected_id">
		<u32 name="primary_unknown5">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u8 name="build_qty">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u16 name="build_total_quantity">
				<u8 name="build_supply_depot">
				<u8 name="build_unknown6">
			</array>
			<u8 name="build_item_selected">
			<u32 name="build_selected_item_id">
			<u8 name="build_selected_item_qty">
		</array>
		<str16 name="fuel_title">
		<u8 name="fuel_qty">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u16 name="fuel_total_quantity">
			<u8 name="fuel_supply_depot">
			<u8 name="fuel_unknown4">
		</array>
		<u8 name="fuel_item_selected">
		<u32 name="fuel_selected_item_id">
		<u8 name="fuel_selected_item_qty">
	</version>
	<version number="1193">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<u8 name="unknown8" size="3">
		<str16 name="primary_title">
		<u8 name="unknown9">
		<u32 name="primary_id">
		<u8 name="unknown10" size="6">
		<u16 name="primary_qty">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u16 name="primary_total_quantity">
			<u8 name="primary_supply_depot">
			<u8 name="primary_unknown3" size="2">
		</array>
		<u8 name="primary_item_selected">
		<u32 name="primary_default_selected_id">
		<u16 name="primary_selected_item_qty">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u16 name="build_qty">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u16 name="build_total_quantity">
				<u8 name="build_supply_depot">
				<u8 name="build_unknown6">
			</array>
			<u8 name="build_item_selected">
			<u32 name="build_selected_item_id">
			<u8 name="build_selected_item_qty">
			<u8 name="unknown">
		</array>
		<str16 name="fuel_title">
		<u16 name="fuel_qty">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u16 name="fuel_total_quantity">
			<u8 name="fuel_supply_depot">
			<u8 name="fuel_unknown4" size="2">
		</array>
		<u8 name="fuel_item_selected">
		<u32 name="fuel_selected_item_id">
		<u16 name="fuel_selected_item_qty">
	</version>
	<version number="1199">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<u8 name="unknown8" size="3">
		<str16 name="primary_title">
		<u8 name="unknown9">
		<u32 name="primary_id">
		<u8 name="unknown10" size="6">
		<u16 name="primary_qty">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u16 name="primary_total_quantity">
			<u8 name="primary_supply_depot">
			<u8 name="primary_unknown3" size="2">
		</array>
		<u8 name="primary_item_selected">
		<u32 name="primary_default_selected_id">
		<u16 name="primary_selected_item_qty">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u16 name="build_qty">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u16 name="build_total_quantity">
				<u8 name="build_supply_depot">
				<u8 name="build_unknown6">
			</array>
			<u8 name="build_item_selected">
			<u32 name="build_selected_item_id">
			<u8 name="build_selected_item_qty">
			<u8 name="unknown">
		</array>
		<str16 name="fuel_title">
		<u16 name="fuel_qty">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u16 name="fuel_total_quantity">
			<u8 name="fuel_supply_depot">
			<u8 name="fuel_unknown4">
		</array>
		<u8 name="fuel_item_selected">
		<u32 name="fuel_selected_item_id">
		<u16 name="fuel_selected_item_qty">
	</version>
	<version number="57048">
		<str16 name="crafting_station">
		<u32 name="recipe_id">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<u8 name="num_mass_production_choices">
		<array name="mass_array" count="var:num_mass_production_choices">
			<u16 name="mass_qty">
		</array>
		<str16 name="primary_title">
		<u8 name="unknown9">
		<u32 name="primary_id">
		<u8 name="unknown10" size="6">
		<u16 name="primary_qty_needed">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u16 name="primary_total_quantity">
			<u8 name="primary_unknown3" size="2">
			<u8 name="primary_supply_depot">
			<u8 name="primary_unknown3a" size="2">
		</array>
		<u8 name="num_primary_items_selected">
		<array name="primary_items_selected_array" count="var:num_primary_items_selected">
			<u32 name="primary_selected_item_id">
			<u16 name="primary_selected_item_qty">
		</array>
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u16 name="build_qty_needed">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u16 name="build_total_quantity">
				<u8 name="build_unknown6" size="2">
				<u8 name="build_supply_depot">
				<u8 name="build_unknown6a">
			</array>
			<u8 name="num_build_items_selected">
			<array name="build_items_selected_array" count="var:num_build_items_selected">
				<u32 name="build_selected_item_id">
				<u8 name="build_selected_item_qty">
				<u8 name="unknown">
			</array>
		</array>
		<str16 name="fuel_title">
		<u16 name="fuel_qty_needed">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u16 name="fuel_total_quantity">
			<u8 name="fuel_unknown4" size="2">
			<u8 name="fuel_supply_depot">
			<u8 name="fuel_unknown4a">
		</array>
		<u8 name="num_fuel_items_selected">
		<array name="fuel_items_selected_array" count="var:num_fuel_items_selected">
			<u32 name="fuel_selected_item_id">
			<u16 name="fuel_selected_item_qty">
		</array>
	</version>
	<version number="63119">
		<str16 name="crafting_station">
		<u32 name="unknown1">
		<str16 name="recipe_name">
		<u8 name="tier">
		<u32 name="unknown3">
		<str16 name="product_name">
		<u16 name="icon">
		<u8 name="product_qty">
		<u16 name="unknown5">
		<u8 name="unknown6">
		<u16 name="unknown7">
		<u8 name="unknown8" size="3">
		<u8 name="unknown8aMJ">
		<str16 name="primary_title">
		<u8 name="unknown9">
		<u32 name="primary_id">
		<u8 name="unknown10" size="6">
		<u16 name="primary_qty">
		<u8 name="num_primary_choices">
		<array name="primary_array" count="var:num_primary_choices">
			<str16 name="primary_component">
			<u32 name="primary_item_id">
			<u16 name="primary_icon">
			<u16 name="primary_total_quantity">
			<u8 name="primary_supply_depot">
			<u8 name="primary_unknown3" size="4">
		</array>
		<u8 name="primary_item_selected">
		<u32 name="primary_default_selected_id">
		<u16 name="primary_selected_item_qty">
		<u8 name="num_build_components">
		<array name="build_array" count="var:num_build_components">
			<u32 name="build_slot">
			<str16 name="build_title">
			<u16 name="build_qty">
			<u32 name="build_unknown1">
			<u8 name="num_build_choices">
			<array name="build_components_array" count="var:num_build_choices">
				<str16 name="build_component">
				<u32 name="build_item_id">
				<u16 name="build_icon">
				<u16 name="build_total_quantity">
				<u8 name="build_supply_depot">
				<u8 name="build_unknown6" size="3">
			</array>
			<u8 name="build_item_selected">
			<u32 name="build_selected_item_id">
			<u8 name="build_selected_item_qty">
			<u8 name="unknown">
		</array>
		<str16 name="fuel_title">
		<u16 name="fuel_qty">
		<u8 name="num_fuel_choices">
		<array name="fuel_component_array" count="var:num_fuel_choices">
			<str16 name="fuel_component">
			<u32 name="fuel_item_id">
			<u16 name="fuel_icon">
			<u16 name="fuel_total_quantity">
			<u8 name="fuel_supply_depot">
			<u8 name="fuel_unknown4" size="3">
		</array>
		<u8 name="fuel_item_selected">
		<u32 name="fuel_selected_item_id">
		<u16 name="fuel_selected_item_qty">
	</version>
</packet>